package tag

import (
	"github.com/gocql/gocql"

	dom_tag "codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/internal/domain/tag"
)

// ProvideTagRepository provides a tag repository for Wire DI
func ProvideTagRepository(session *gocql.Session) dom_tag.Repository {
	return NewTagRepository(session)
}
